#!/usr/bin/env python
# vim:fileencoding=utf-8
"""rmlog.py

comment logging calls from python source files
"""

import sys
import os
import tempfile

def ind(line):
    ind = 0
    for char in line:
        if char in (' ', '\t'):
            ind +=1
        else:
            return ind
    return ind

def processfile(path):
    fd, tp = tempfile.mkstemp(dir=os.path.dirname(path))
    f = open(path)
    logind = -1
    for line in f:
        if logind < 0 and line.strip().startswith("logging"):
            logind = ind(line)
        elif logind >= 0 and ind(line) <= logind:
            if line.strip().startswith("logging"):
                logind = ind(line)
            else:
                logind = -1

        if logind >= 0 or line.strip() == "import logging":
            # print "# " + line,
            os.write(fd, "# " + line)
        else:
            # print line,
            os.write(fd, line)
    os.rename(tp, path)

if __name__ == '__main__':
    for p in sys.argv[1:]:
        print p + '...'
        processfile(p)
