#!/usr/bin/env python
# vim:fileencoding=utf-8
"""cursescolors.py

"""

import curses

class NoMoreColors(Exception):
    pass

def main(stdscr):
    stdscr.addstr(0, 0, "any key to exit")
    if curses.has_colors():
        stdscr.addstr(1,0, "colors supported: %i colors"%(curses.COLORS))
        stdscr.addstr(2,0, "                  %i color pairs"%(curses.COLOR_PAIRS))
        maxy, maxx = stdscr.getmaxyx()
        curses.init_pair(1, curses.COLOR_BLACK, curses.COLOR_RED)
        i = 0
        try:
            for y in xrange(3, maxy):
                for x in xrange(0, maxx, 3):
                    stdscr.addstr(y, x, "%2i"%(i), curses.color_pair(i))
                    i += 1
                    if i > curses.COLOR_PAIRS:
                        raise NoMoreColors()
        except NoMoreColors:
            pass


    else:
        stdscr.addstr(1,0, "colors NOT supported")
    stdscr.refresh()
    stdscr.getch()

if __name__ == "__main__":
    curses.wrapper(main)
