#!/usr/bin/env python
# vim:fileencoding=utf-8
"""curseskeycode.py

Helper to find out curses key codes.
"""

import curses
import curses.ascii

def main(stdscr):
    sas = stdscr.addstr
    codes = [(None, None), (None, None), (None, None)]

    sas(0, 0, "Displaying the key codes of the last 3 keys:", curses.A_UNDERLINE|curses.A_REVERSE)
    stdscr.refresh()
    while True:
        codes.pop()
        c = stdscr.getch()
        codes = [(c, curses.ascii.unctrl(c))] + codes
        stdscr.clear()
        sas(0, 0, "Displaying the key codes of the last 3 key hits:")
        for i, (cc, uc) in enumerate(codes):
            sas(i+1, 0, "#%i: %s (%s)"%(i+1, cc, uc))
        stdscr.refresh()

if __name__ == "__main__":
    curses.wrapper(main)
